#ifndef KGLOBALACCELHELPER_H
#define KGLOBALACCELHELPER_H

#include <QDBusConnection>
#include <QVariantMap>
#include <QObject>

class KglobalAccelHelper : public QObject
{
    Q_OBJECT
public:
    explicit KglobalAccelHelper(QObject *parent = nullptr);

    virtual ~KglobalAccelHelper();

    bool blockShortcut(bool val);

private:
    QDBusInterface *m_kglobalInterface = nullptr;
};

#endif // KGLOBALACCELHELPER_H
